### Hierarchy

- CacheStorage

## Index

### Methods

- delete
- has
- keys
- match
- open

## Methods

### delete

- delete(cacheName: string): Promise<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2977

  #### Parameters

  - ##### cacheName: string

  #### Returns Promise<boolean>

### has

- has(cacheName: string): Promise<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2978

  #### Parameters

  - ##### cacheName: string

  #### Returns Promise<boolean>

### keys

- keys(): Promise<string[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2979

  #### Returns Promise<string[]>

### match

- match(request: RequestInfo, options?: CacheQueryOptions): Promise<Response | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2980

  #### Parameters

  - ##### request: RequestInfo

  - ##### Optional options: CacheQueryOptions

  #### Returns Promise<Response | undefined>

### open

- open(cacheName: string): Promise<Cache>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2981

  #### Parameters

  - ##### cacheName: string

  #### Returns Promise<Cache>

Generated using TypeDoc